summaryrefslogtreecommitdiffstats
path: root/libraries/libburn/libburn.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libburn/libburn.SlackBuild')
-rw-r--r--libraries/libburn/libburn.SlackBuild22
1 files changed, 15 insertions, 7 deletions
diff --git a/libraries/libburn/libburn.SlackBuild b/libraries/libburn/libburn.SlackBuild
index a6c2b817fc..c668c2cba2 100644
--- a/libraries/libburn/libburn.SlackBuild
+++ b/libraries/libburn/libburn.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libburn
-# Copyright 2008 Robby Workman, Northport, Alabama, USA
+# Copyright 2008,2009 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libburn
-VERSION=0.5.4
+VERSION=0.6.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -64,14 +64,22 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | \
- cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
-gzip -9 $PKG/usr/man/man?/*.?
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS CONTRIBUTORS COPYING COPYRIGHT ChangeLog INSTALL NEWS README \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CONTRIBUTORS COPYING COPYRIGHT ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install